NLU Connectors
Update an NLU Connector
Updates an NLU Connector in a Project.
PATCH
/
v2.0
/
nluconnectors
/
{nluConnectorId}
Update an NLU Connector
curl --request PATCH \
--url https://api-trial.cognigy.ai/new/v2.0/nluconnectors/{nluConnectorId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "New NLUConnector",
"type": "cognigy",
"settings": {
"invocationName": "<string>",
"reparseAlexaSlots": true,
"skill": {
"lastUpdated": "<string>",
"nameByLocale": {
"en-US": "<string>",
"de-DE": "<string>",
"ja-JP": "<string>",
"en-GB": "<string>",
"en-IN": "<string>"
},
"skillId": "<string>",
"stage": "<string>"
}
},
"transformer": {
"abortOnError": false,
"transformerStackEnabled": false,
"transformer": "<string>",
"preNluTransformerEnabled": false,
"postNluTransformerEnabled": false,
"nluCodeTransformerEnabled": false
}
}
'import requests
url = "https://api-trial.cognigy.ai/new/v2.0/nluconnectors/{nluConnectorId}"
payload = {
"name": "New NLUConnector",
"type": "cognigy",
"settings": {
"invocationName": "<string>",
"reparseAlexaSlots": True,
"skill": {
"lastUpdated": "<string>",
"nameByLocale": {
"en-US": "<string>",
"de-DE": "<string>",
"ja-JP": "<string>",
"en-GB": "<string>",
"en-IN": "<string>"
},
"skillId": "<string>",
"stage": "<string>"
}
},
"transformer": {
"abortOnError": False,
"transformerStackEnabled": False,
"transformer": "<string>",
"preNluTransformerEnabled": False,
"postNluTransformerEnabled": False,
"nluCodeTransformerEnabled": False
}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'New NLUConnector',
type: 'cognigy',
settings: {
invocationName: '<string>',
reparseAlexaSlots: true,
skill: {
lastUpdated: '<string>',
nameByLocale: {
'en-US': '<string>',
'de-DE': '<string>',
'ja-JP': '<string>',
'en-GB': '<string>',
'en-IN': '<string>'
},
skillId: '<string>',
stage: '<string>'
}
},
transformer: {
abortOnError: false,
transformerStackEnabled: false,
transformer: '<string>',
preNluTransformerEnabled: false,
postNluTransformerEnabled: false,
nluCodeTransformerEnabled: false
}
})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/nluconnectors/{nluConnectorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Unauthorized",
"title": "Unauthorized Error",
"status": 401,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 401,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Payment Required",
"title": "Payment Required Error",
"status": 402,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 402,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Forbidden",
"title": "Forbidden Error",
"status": 403,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Not Found",
"title": "Not Found Error",
"status": 404,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {},
"logLevel": "error"
}{
"type": "Method Not Allowed",
"title": "Method Not Allowed Error",
"status": 405,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Conflict",
"title": "Conflict Error",
"status": 409,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1004,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Payload Too Large",
"title": "Payload Too Large Error",
"status": 413,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Internal Server Error",
"title": "Internal Server Error",
"status": 500,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Not Implemented",
"title": "Not Implemented Error",
"status": 501,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1009,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Bad Gateway",
"title": "Bad Gateway Error",
"status": 502,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Service Unavailable",
"title": "Service Unavailable Error",
"status": 503,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 503,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Gateway Timeout",
"title": "Gateway Timeout Error",
"status": 504,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}Authorizations
APIKeyHeaderAPIKeyQueryParamCXoneTokenHeaderOAuth2
Supply the API Key in the HTTP-Header
Headers
The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.
Available options:
application/json, application/hal+json, application/xml, text/xml, text/csv Path Parameters
The unique identifier for the NLU Connector.
Required string length:
24Pattern:
^[a-z0-9]{24}$Body
application/json
The name of the NLU Connector.
Example:
"New NLUConnector"
The NLU Connector type.
Available options:
alexa, dialogflow, dialogflowBuiltIn, amazonLexBuiltIn, luis, watson, noNlu, cognigy, code, generativeAI, lex Example:
"cognigy"
The settings used by the Alexa NLU Connector.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successfully updated NLUConnector
Last modified on July 22, 2026
Previous
Get all Node DescriptorsGets all Node descriptors of a Flow. A descriptor defines a node type, its capabilities, appearance, and behavior in the Flow Chart. The descriptor acts as a blueprint for creating Nodes.
Next
⌘I
Update an NLU Connector
